Index: /LMDZ6/branches/blowing_snow/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- /LMDZ6/branches/blowing_snow/libf/phylmd/surf_ocean_mod.F90	(revision 4484)
+++ /LMDZ6/branches/blowing_snow/libf/phylmd/surf_ocean_mod.F90	(revision 4485)
@@ -13,5 +13,5 @@
        windsp, rmu0, fder, tsurf_in, &
        itime, dtime, jour, knon, knindex, &
-       p1lay, z1lay, cdragh, cdragm, precip_rain, precip_snow, temp_air, spechum, &
+       p1lay, z1lay, cdragh, cdragm, precip_rain, precip_snow, precip_bs, temp_air, spechum, &
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
@@ -60,5 +60,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: cdragh
     REAL, DIMENSION(klon), INTENT(IN)        :: cdragm
-    REAL, DIMENSION(klon), INTENT(IN)        :: precip_rain, precip_snow
+    REAL, DIMENSION(klon), INTENT(IN)        :: precip_rain, precip_snow, precip_bs
     REAL, DIMENSION(klon), INTENT(IN)        :: temp_air, spechum
     REAL, DIMENSION(klon), INTENT(IN)        :: AcoefH, AcoefQ, BcoefH, BcoefQ
@@ -144,4 +144,5 @@
     REAL, DIMENSION(klon) :: radsol
     REAL, DIMENSION(klon) :: cdragq ! Cdrag pour l'evaporation
+    REAL, DIMENSION(klon) :: precip_totsnow
     CHARACTER(len=20),PARAMETER :: modname="surf_ocean"
     real rhoa(knon) ! density of moist air  (kg / m3)
@@ -160,4 +161,15 @@
     radsol(1:klon) = 0.0 ! initialisation a priori inutile
     radsol(1:knon) = swnet(1:knon) + lwnet(1:knon)
+
+
+    !****************************************************************************************
+    !Total solid precip
+
+    IF (ok_bs) THEN
+       precip_totsnow=precip_snow+precip_bs
+    ELSE
+       precip_totsnow=precip_snow
+    ENDIF
+
 
     !******************************************************************************
@@ -188,5 +200,5 @@
             windsp, fder, & 
             itime, dtime, knon, knindex, &
-            p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow,temp_air,spechum,& 
+            p1lay, cdragh, cdragq, cdragm, precip_rain, precip_totsnow,temp_air,spechum,& 
             AcoefH, AcoefQ, BcoefH, BcoefQ, &
             AcoefU, AcoefV, BcoefU, BcoefV, &
@@ -200,5 +212,5 @@
        CALL ocean_slab_noice( &
             itime, dtime, jour, knon, knindex, &
-            p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow, temp_air, spechum,&
+            p1lay, cdragh, cdragq, cdragm, precip_rain, precip_totsnow, temp_air, spechum,&
             AcoefH, AcoefQ, BcoefH, BcoefQ, &
             AcoefU, AcoefV, BcoefU, BcoefV, &
@@ -211,5 +223,5 @@
        CALL ocean_forced_noice( &
             itime, dtime, jour, knon, knindex, &
-            p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow, &
+            p1lay, cdragh, cdragq, cdragm, precip_rain, precip_totsnow, &
             temp_air, spechum, &
             AcoefH, AcoefQ, BcoefH, BcoefQ, &
@@ -326,5 +338,5 @@
        call bulk_flux(tkt, tks, taur, dter, dser, t_int, s_int, ds_ns, dt_ns, &
             u = windsp(:knon), t_ocean_1 = tsurf_new(:knon), s1 = sss(:knon), &
-            rain = precip_rain(:knon) + precip_snow(:knon), &
+            rain = precip_rain(:knon) + precip_totsnow(:knon), &
             hf = - fluxsens(:knon), hlb = - fluxlat(:knon), &
             rnl = - lwnet(:knon), &
Index: /LMDZ6/branches/blowing_snow/libf/phylmdiso/blowing_snow_ini_mod.F90
===================================================================
--- /LMDZ6/branches/blowing_snow/libf/phylmdiso/blowing_snow_ini_mod.F90	(revision 4485)
+++ /LMDZ6/branches/blowing_snow/libf/phylmdiso/blowing_snow_ini_mod.F90	(revision 4485)
@@ -0,0 +1,1 @@
+link ../phylmd/blowing_snow_ini_mod.F90
Index: /LMDZ6/branches/blowing_snow/libf/phylmdiso/blowing_snow_sublim_sedim.F90
===================================================================
--- /LMDZ6/branches/blowing_snow/libf/phylmdiso/blowing_snow_sublim_sedim.F90	(revision 4485)
+++ /LMDZ6/branches/blowing_snow/libf/phylmdiso/blowing_snow_sublim_sedim.F90	(revision 4485)
@@ -0,0 +1,1 @@
+link ../phylmd/blowing_snow_sublim_sedim.F90
Index: /LMDZ6/branches/blowing_snow/libf/phylmdiso/call_blowing_snow_sublim_sedim.F90
===================================================================
--- /LMDZ6/branches/blowing_snow/libf/phylmdiso/call_blowing_snow_sublim_sedim.F90	(revision 4485)
+++ /LMDZ6/branches/blowing_snow/libf/phylmdiso/call_blowing_snow_sublim_sedim.F90	(revision 4485)
@@ -0,0 +1,1 @@
+link ../phylmd/call_blowing_snow_sublim_sedim.F90
Index: /LMDZ6/branches/blowing_snow/libf/phylmdiso/climb_qbs_mod.F90
===================================================================
--- /LMDZ6/branches/blowing_snow/libf/phylmdiso/climb_qbs_mod.F90	(revision 4485)
+++ /LMDZ6/branches/blowing_snow/libf/phylmdiso/climb_qbs_mod.F90	(revision 4485)
@@ -0,0 +1,1 @@
+link ../phylmd/climb_qbs_mod.F90
